Pulse Secure to Ivanti Secure Access - Access/Control Popup

MTFIDjamf
Contributor II

We are currently using Pulse Secure v9.1.x and need to upgrade this to the latest offering from Ivanti, Ivanti Secure Access v22.2 in preparation for Ventura.

We have done many Pulse to Pulse upgrades in the past, all PPPC's and System Extensions have been accounted for.

However, going from Pulse to Ivanti, when it is removing/upgrading we are getting a pretty generic popup that we felt could be accounted for with either a new PPPC or addition to existing.

MTFIDjamf_0-1669046367051.png

At this time, nothing we have done will stop this particular popup from showing up.

Looking for any info/guidance from anyone that has possibly already gone through this upgrade or similar? 

7 REPLIES 7

karengarner
New Contributor II

We have a script to completely close the Pulse app before installing Ivanti (in the same policy), this will ensure the pop-up will not happen

Harrie
New Contributor III

Can you share the script?

Yes, can you please share the script?

Our remote access team has Pulse set to respawn if the process is killed, hoping maybe your script will do the job.

do you have PPPC for Pulse? 

Do you have this Script and can you share it with us?

dstranathan
Valued Contributor II

Thanks, @jwwaters 

That link has a PDF that details the issue. It's affecting my org. We are trying to upgrade Pulse Secure 9.1.x to Ivanti 22.3.1 using an OEM pkg and Jamf Pro policy. The pkg installs but the user sees a scary TCC-like pop-up for approval.

TLDR: "End users are receiving pop up during the upgrade process (jamf wants access to control "pulse secure"). This issue is caused due to the Ivanti installer trying to update the System Extension, Which requires a privilege. This issue started occurring after PSAM support for MAC with system Extensions from 9.1R15 PDC."
TLDR